%define major	14
%define libname	%mklibname nfs %major
%define devname	%mklibname nfs -d

Name:		libnfs
Version:	5.0.2
Release:	%mkrel 1
Summary:	Client library for accessing NFS shares over a network
# The library is licensed as LGPLv2+, the protocol definition is BSD
License:	LGPLv2+ and BSD
Group:		System/Libraries
URL:		https://github.com/sahlberg/libnfs
Source0:	https://github.com/sahlberg/libnfs/archive/libnfs-%version.tar.xz
BuildRequires:	lib64event-devel

%description
The libnfs package contains a library of functions for accessing NFSv2
and NFSv3 servers from user space. It provides a low-level, asynchronous
RPC library for accessing NFS protocols, an asynchronous library with
POSIX-like VFS functions, and a synchronous library with POSIX-like VFS
functions.

%package -n %libname
Summary:	Shared library of libnfs
Group:		System/Libraries
Provides:	%name = %version-%release
Obsoletes:  lib64nfs1

%description -n %libname
LIBNFS is a client library for accessing NFS shares over a network.

This package contains the library needed to run programs dynamically
linked with libnfs.

%package -n %devname
Summary:	Development files for libnfs
Group:		Development/Libraries
License:	LGPLv2+ and BSD and GPLv3+
Requires:	%libname = %version-%release
Provides:	nfs-devel = %version-%release
Provides:	libnfs-devel = %version-%release

%description -n %devname
The %devname package contains libraries and header files for
developing applications that use libnfs.

%package utils
Summary:	Utilities for accessing NFS servers
License:	GPLv3+
Group:		Networking/Other

%description utils
The libnfs-utils package contains simple client programs for accessing
NFS servers using libnfs.

%prep
%setup -q -n libnfs-libnfs-%version

%build
# ./bootstrap just runs autoreconf
autoreconf -fiv
%configure2_5x \
	--disable-static
%make_build

%install
rm -rf %buildroot
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %libname
%{_libdir}/libnfs.so.%{major}*

%files -n %devname
%doc examples/*.c
%{_libdir}/libnfs.so
%{_includedir}/nfsc/
%{_libdir}/pkgconfig/libnfs.pc

%files utils
%{_bindir}/nfs-*
%{_mandir}/man1/nfs-*.1*


%changelog
* Thu Oct 20 2022 tex - 5.0.2-1pclos2022
- new version

* Sun May 30 2021 tex - 4.0.0-1pclos2021
- new version
